/*
 * Class INTEGER_8_REF
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_845 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_845 [] = {0xFF01,1551,844,0xFFFF};
static const EIF_TYPE_INDEX egt_2_845 [] = {0xFF01,844,0xFFFF};
static const EIF_TYPE_INDEX egt_3_845 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_845 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_845 [] = {0xFF01,844,0xFFFF};
static const EIF_TYPE_INDEX egt_6_845 [] = {0xFF01,844,0xFFFF};
static const EIF_TYPE_INDEX egt_7_845 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_845 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_845 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_845 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_845 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_845 [] = {0xFF01,844,0xFFFF};
static const EIF_TYPE_INDEX egt_13_845 [] = {0xFF01,844,0xFFFF};
static const EIF_TYPE_INDEX egt_14_845 [] = {0xFF01,844,0xFFFF};
static const EIF_TYPE_INDEX egt_15_845 [] = {0xFF01,844,0xFFFF};
static const EIF_TYPE_INDEX egt_16_845 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_17_845 [] = {0xFF01,844,0xFFFF};
static const EIF_TYPE_INDEX egt_18_845 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_19_845 [] = {0xFF01,844,0xFFFF};
static const EIF_TYPE_INDEX egt_20_845 [] = {0xFF01,844,0xFFFF};
static const EIF_TYPE_INDEX egt_21_845 [] = {0xFF01,844,0xFFFF};
static const EIF_TYPE_INDEX egt_22_845 [] = {0xFF01,844,0xFFFF};
static const EIF_TYPE_INDEX egt_23_845 [] = {0xFF01,844,0xFFFF};
static const EIF_TYPE_INDEX egt_24_845 [] = {0xFF01,844,0xFFFF};
static const EIF_TYPE_INDEX egt_25_845 [] = {0xFF01,844,0xFFFF};
static const EIF_TYPE_INDEX egt_26_845 [] = {0xFF01,844,0xFFFF};
static const EIF_TYPE_INDEX egt_27_845 [] = {0xFF01,844,0xFFFF};
static const EIF_TYPE_INDEX egt_28_845 [] = {0xFF01,844,0xFFFF};
static const EIF_TYPE_INDEX egt_29_845 [] = {0xFF01,844,0xFFFF};
static const EIF_TYPE_INDEX egt_30_845 [] = {0xFF01,844,0xFFFF};
static const EIF_TYPE_INDEX egt_31_845 [] = {0xFF01,844,0xFFFF};
static const EIF_TYPE_INDEX egt_32_845 [] = {0xFF01,844,0xFFFF};
static const EIF_TYPE_INDEX egt_33_845 [] = {0xFF01,844,0xFFFF};
static const EIF_TYPE_INDEX egt_34_845 [] = {0xFF01,914,0xFFFF};


static const struct desc_info desc_845[] = {
	{EIF_GENERIC(NULL), 20912, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_845), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_845), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20922, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_845), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_845), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_845), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_845), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_845), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_845), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_845), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_845), 20978, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_845), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_845), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0699 /*844*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_845), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20921, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6342, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6343, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6344, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6338, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_845), 6339, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_845), 6340, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 20913, 0},
	{EIF_NON_GENERIC(0x069B /*845*/), 20915, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 20918, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 20919, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 20920, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 20923, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20927, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20928, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20929, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 20930, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 20934, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_845), 20938, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 20939, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_845), 20940, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 20941, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_845), 20942, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20943, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 20944, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 20945, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 20946, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 20947, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 20948, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06DD /*878*/), 20949, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 20950, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 20951, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D7 /*875*/), 20952, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06AD /*854*/), 20953, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 20954, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 20955, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 20956, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06DD /*878*/), 20957, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 20958, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 20959, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A1 /*848*/), 20960, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B3 /*857*/), 20961, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06BF /*863*/), 20962, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_845), 20963, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 20964, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 20965, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06D1 /*872*/), 20966, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0695 /*842*/), 20967, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_845), 20968, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_845), 20969, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_845), 20970, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_845), 20971, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 20972, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_845), 20973, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_845), 20974, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20975, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 20976, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 20977, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_845), 20979, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 20914, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20926, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_845), 20916, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_845), 20917, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20924, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 20925, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_845), 20931, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_845), 20932, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_845), 20933, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_845), 20937, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_845), 20935, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_845), 20936, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_845), 20978, 0xFFFFFFFF},
};
void Init845(void)
{
	IDSC(desc_845, 0, 844);
	IDSC(desc_845 + 1, 1, 844);
	IDSC(desc_845 + 32, 1459, 844);
	IDSC(desc_845 + 36, 939, 844);
	IDSC(desc_845 + 39, 1496, 844);
	IDSC(desc_845 + 91, 700, 844);
	IDSC(desc_845 + 93, 171, 844);
	IDSC(desc_845 + 103, 224, 844);
}


#ifdef __cplusplus
}
#endif
